Questions tagged [gdebi]

GDebi is a tool that can install .deb packages. It is available with a graphical interface, but also has a command line option. In Ubuntu 10.10 Maverick Meerkat, GDebi was replaced by the Ubuntu Software Center. In Ubuntu 11.10, Ubuntu Software Center includes Gdebi functionality to increase the speed of .deb files installation.

Filter by
Sorted by
Tagged with
-2 votes
2 answers
95 views

How do I change apps logins to ask for my username and password instead of root? [closed]

When I try to use Synaptic (or Gdebi) I'm asked for a password. The app lists the Identity: as "root" (with no way to change it). My (administrator) password fails. I can use the app via the ...
  • 117
1 vote
1 answer
215 views

How to use Inkstitch with Inkscape?

I am; a new newbie. How do I actually open "inkstitch"? I have attempted install/reinstall of both Inkscape and Inkstitch, for 2 weeks. (Ubuntu 21.10) I am able to find user extensions & ...
  • 11
1 vote
1 answer
184 views

Can't install deb file, Gdebi claims there is other software management tools running

I tried to install a deb package with Gdebi, Ubuntu software was running at the time, but it didn't show any warning and started installing, then it got stuck without any progress and eventually I had ...
0 votes
0 answers
94 views

GDebi error at launch (Ubuntu 21.04)

I'm getting a strange error message when launching gdebi-gtk from terminal. It prompts an error window which shows as follows: Downloading the package failed: file «» «g-io-error-quark: Operation ...
2 votes
1 answer
2k views

gdebi doesn't work in Ubuntu 21.04

I did a new install of Ubuntu 21.04 this weekend. (I had problem with my 20.10 and needed a fresh start) Earlier ha had used gdebi to install DEB-packages with graphical interface. When I try to run ...
0 votes
0 answers
575 views

GDebi Package Installer Does Nothing

No errors and GDebi opens but when I select Install Package, nothing happens. It WAS working a few days ago with the same .deb but not today and a system reboot did not help. I am not sure what else ...
  • 319
1 vote
1 answer
278 views

cant start R studio on ubuntu 18.04.3 LTS

i used this tutorial to install RStudio https://linuxhint.com/rstudio-for-ubuntu/ but when i started on this phase sudo gdebi -n rstudio-0.99.896-amd64.deb it's says Reading package lists... Done ...
  • 143
-1 votes
1 answer
171 views

could not download R Studio using ubuntu [duplicate]

I want to install R Studio based on this tutorial but I got stuck at part sudo gdebi –n rstudio-0.99.896-amd64.deb and it says gdebi error, file not found: –n I m using Ubuntu 18.04.3 LTS
  • 143
11 votes
2 answers
22k views

Install docky in Ubuntu 20.04

I tried to install Docky from the official repositories via apt-get but it couldn't find the packet. So I downloaded the .deb from the web and tried a manual install with gdebi and this was the output:...
  • 123
1 vote
1 answer
179 views

Ubuntu 16.04 Critical Error

I tried installing Zoom with software centre and it didn't install.work. I then tried to install gdebi with software centre and it didn't install either. I then tried to install gdebi in the terminal ...
  • 21
1 vote
2 answers
259 views

How do I obtain the latest and greatest Debian package files for Ubuntu?

How do I obtain the newest stable Debian package files? sudo dpkg -i ~/Downloads/libgoocanvas3_1.0.0-1_amd64.deb sudo dpkg -i ~/Downloads/libgoocanvas-common_1.0.0-1_all.deb sudo apt-get -f install ...
  • 2,031
3 votes
1 answer
622 views

Missing Dependencies

I'm trying to install Lightworks on my Ubuntu 19.10 desktop but when installing it, gdebi stops because it's missing the dependency 'libssl1.0.0'. Any advice will be helpful. The link to the ...
6 votes
1 answer
4k views

Can't install DiffMerge. Error showing "dependency is not satisfiable :libcurl3(>=7.16.2-1)"

I was trying to install DiffMerge. I downloaded the .deb package from the SourceGear website. But while installing it, it shows the following error dependency is not satisfiable :libcurl3(>=7.16.2-...
user avatar
2 votes
1 answer
3k views

Future Warning with gdebi while installing some packages

I installed gdebi and then tried to install some .deb with it. The first time I tried installing them, it didn't, showing these: /usr/bin/gdebi:113: FutureWarning: Possible nested set at position 1 ...
1 vote
0 answers
404 views

Some Debian packages, specifically Crossover, not installing on Ubuntu 18.10

Currently, I'm trying to install Crossover on my laptop running Ubuntu 18.10. However, the Debian package won't seem to install. This is not the only package that won't install. Off the top of my head ...
  • 11
2 votes
1 answer
292 views

gdebi doesn't finish installing rstudio service

Cross posted from https://community.rstudio.com/t/ubuntu-rstudio-server-upgrade-service-not-found/27621 I had a working v1.1.463 installation of the Rstudio server on one of my Ubuntu 16.04.6 LTS ...
2 votes
1 answer
2k views

Installing .deb package using gdebi

I'm having some problems installing .deb packages on my laptop running Ubuntu 18.10 I'm completely new to Linux so please explain. First I downloaded some .deb packages via Firefox, then I just ...
1 vote
2 answers
7k views

GDebi Package Installer not launching, and won't install .deb files on the ~/Desktop 18.10

This morning I discovered that I can't launch GDebi. When I try to launch it from the SUPER menu, it puts its name in the top bar with a spinning cursor, stays there for about 10 seconds, and then ...
  • 65.9k
0 votes
1 answer
760 views

when trying to instal wickRme on 18.04 I get the following error

sudo gdebi WickrMe_4.44.04-01_amd64.deb ... This package is uninstallable Dependency is not satisfiable: libicu55 Then I tried searching for a match apt-cache search libicu but on install attempt ...
0 votes
2 answers
898 views

Unable to install .deb applications with ubuntu software [duplicate]

I'm new to Ubuntu Environment. I'm using Ubuntu 16.04.3 LTS. I'm learning Web Development my own. I heard some good words about using Linux for Web Dev. So I just dual boot my Windows laptop with ...
1 vote
1 answer
2k views

How do I solve Lintian errors when installing GitKraken.deb?

Trying to install GitKraken .deb on Ubuntu16.04 I am getting the follow messages:Unleash your repo On GDebi Package Installer I am getting the follow errors: Litian Output E: gitkraken: malformed-...
  • 1,082
7 votes
2 answers
4k views

gdebi installer exits without installing the .deb file in 17.10

I have gdebi set as the default application to install .deb files. This way, I can just double-click on a .deb file and the gdebi installer will do the rest. It seems that since 17.10, or one of its ...
  • 65.9k
3 votes
2 answers
3k views

Gdebi as default package installer in ubuntu 17.10

I did a search and didn't find anything about this but, when I tried to make Gdebi the default package installer in ubuntu 17.10 it did not show up in the list of other applications to "Open with...".
1 vote
0 answers
280 views

gdebi install now failing on Trusty

Anyone know what's happened to gdebi? Up until the end of September our scripts were working fine - though a little long winded. sudo apt-get install -y aptitude sudo aptitude install -y gdebi ...
0 votes
1 answer
274 views

GDebi help please [closed]

I have installed this to deal with a .deb file. In GDebi it takes me through to the file location, on Desktop. I highlight it and then nothing happens. GDebi remains empty and I remain at a loss. ...
1 vote
0 answers
26 views

Can't Install Gdebi [duplicate]

Total newbie when it comes to Linux in general and Ubuntu in specific (literally installed it last night). I'm having trouble installing software and read that GDebi would make it much easier. ...
1 vote
3 answers
20k views

How to uninstall visual studio code in Ubuntu 16.04

Installed Visual Studio Code (64bit deb package) using the gdebi installer, now I want to uninstall it properly. I tried the following to no avail - remove installation option in gdebi ----> does ...
  • 181
1 vote
2 answers
12k views

How to install Google Chrome for Ubuntu 17.04 Zesty [duplicate]

While trying to install the .deb applications in Ubuntu 17.04, it shows errors. I used dpkg as well : sudo dpkg -i google-chrome-stable_current_amd64.deb Error : Using dpkg command I tried to ...
1 vote
1 answer
1k views

OpenJDK 7 jre required

I have .deb package when I try to install it with Gdebi it return: Error dependency is not satisfiable openjdk-7 jre I have openjdk-8 jre installed but it still appeared referring to How do I ...
  • 11
3 votes
0 answers
362 views

Using multiple cores to unpack a deb file in dpkg/gdebi/apt

I often need to test a deb package install in which the extraction step takes quite a bit of time. I've noticed that gdebi only (seems) to use a single core for the extraction, but it looks like ...
  • 338
0 votes
2 answers
3k views

password field to install programs using gdebi is disabled

I was trying to install a .deb file in Ubuntu 17.10 using gdebi but the password field is disabled. Also cannot open using gksudo the same password prompt which I cannot type the password.
2 votes
0 answers
464 views

Failed to install rstudio-1.0.143-amd64.deb in Ubuntu 16.04

Good folks, please help. I downloaded rstudio-1.0.143-amd64.deb from https://download1.rstudio.org then checked its MD5, then installed deb using gdebi, and failed: $ sudo gdebi -n rstudio-1.0.143-...
  • 21
0 votes
0 answers
489 views

tidy/libtidy recursive installation hell

Ubuntu 16.04 LTS. I installed "tidy" to process some HTML files. I discovered it was unable, did a little Googling, and found the "modern" version of tidy at http://www.html-tidy.org/. I downloaded ...
  • 101
0 votes
1 answer
287 views

Repo removed from software center and can't be installed from (16.04)

Just in case it's relevant, I'm working with Ubuntu 16.04. I had a repo (NVIDIA CUDA repo to be specific), from which I installed the cuda package. I removed it from the "Other Software" section in ...
2 votes
1 answer
899 views

Not able to install Shiny Server

Following instructions here to install Shiny server, encountered error - Failed to open the software package as below. > sudo gdebi shiny-server-1.5.3.838-amd64.deb Reading package lists... Done ...
0 votes
0 answers
175 views

Unmet Dependency while installing RStudio on Ubuntu 16.10

So I downloaded RStudio and I tried installing it with Gdebi on my Ubuntu 16.10 sudo gdebi rstudio-0.99.903-amd64.deb The error message This package is uninstallable Dependency is not satisfiable:...
  • 273
0 votes
3 answers
14k views

How do i install .deb files on Ubuntu 16.04? I have tried anything [closed]

I have Ubuntu 16.04 LTS on a bootable USB. I have been trying for days to install .deb files (AirVPN, Eddie version 2.11 found at "https://airvpn.org/linux/" the experimental version) and have tried ...
  • 29
0 votes
1 answer
86 views

Dependancy is not satisfiable, trying to install pencil2d

I'm using Ubuntu 16.10 I'm trying to install pencil2d_0.5.4-20130728.1_amd64.deb and I got this message: Dependancy is not satisfiable:libgif4 (>=4.1.4) Please Help
  • 1
0 votes
1 answer
64 views

Save deb out of synaptic

I've downloaded the game Assault cube 1.2 and didn't save a copy from /var/cache/apt/archives/ Is there a way to copy or save an installed software out of Synaptic and save it as deb?
2 votes
1 answer
2k views

Unable to install packages, error by software management

I am unable to install .deb file because of this error from gdebi Only one software management tool is allowed to run at the same time Please close the other application e.g 'Update manage', '...
4 votes
1 answer
2k views

Does anyone know if OcenAudio is Safe?

I just installed OceanAudio to do simple audio editing tasks which Audacity makes very painful, disk-space intensive (1gb plus per hour) and therefore very slow. It is an awesome program which does ...
1 vote
1 answer
74 views

Gdebi problem on downloading Sogou

I am downloading Sogou for my PC, but I found that I can't, and I downloaded gdebi. Finally, it showed me this: Dependency is not satisfiable: fonts-droid
  • 11
5 votes
1 answer
28k views

Could not find package gdebi

It seems like a lot of folks have had problems installing 3rd party software with the Software Center. The usual suggestion is to install and use gdebi instead. However, when I try to do that I get ...
2 votes
0 answers
77 views

New deb application does not appear in dash

I've had this problem in 14.04 LTS and 16.04 LTS. After installing a new application (Viber, e.g.) via Gdebi, Synaptic or Ubuntu software, the application does not appear in Unity dash (or classic ...
  • 4,737
3 votes
1 answer
3k views

How do I remove a download that wasn't completed?

I was trying to install android studio via apt-get on my ubuntu gnome 15.10 amd64 machine and then I noticed that it was trying to download android-studio-ide-141.2422023-linux.zip which was around ...
2 votes
1 answer
2k views

Installing dependencies from DEBs in current directory

When building a DEB from source, I can use gdebi to install the resulting DEB file and also the relevant dependencies from the regular repositories. But sometimes, the dependencies come from other ...
  • 263
4 votes
2 answers
17k views

Gdebi-core package is not available

sudo apt-get install -f gdebi-core [sudo] password for sdksdk: Reading package lists ... Done Building dependency tree Loading state information ... Done Gdebi-core package is not available, but is ...
0 votes
3 answers
8k views

How do I install the Dropbox Client in Lubuntu 15.04?

I have a problem with installing Dropbox under Lubuntu 15.04. When I try to install the downloaded .deb file provided via here (I have chosen the "Ubuntu" file), I get an error in gdebi: Error: ...
22 votes
3 answers
25k views

gdebi vs dpkg : How does gdebi automatically gets missing dependancies ? Can I use gdebi for all other installations of .deb packages?

Recently I happened to reinstall my Ubuntu in to Lubuntu 15.04. So I was searching for Skype installation and got this nice tutorial. It was really cool. It downloaded official package of skype deb ...
  • 393
0 votes
1 answer
278 views

Ubuntu 14.10 | I can't install Software

I can't install software after I installed Ubuntu 14.10 19 days ago. If I want to install Skype I get (in German): Paketlisten werden gelesen... Fertig Abhängigkeitsbaum wird aufgebaut. ...
  • 11